[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FLock64

64-bit locking structure.

## Declaration

Source position: ostypes.inc line 166

`type FLock64 = record`
`l_type: cshort;` |  | Lock type
`l_whence: cshort;` |  | Origin for l_start lock region offset.
`l_start: kernel_loff_t;` |  | Offset of lock region, relative to l_whence.
`l_len: kernel_loff_t;` |  | Lock region length
`l_pid: pid_t;` |  | Process holding the lock on the region
`end;`

## Description

FLock64 is the record used in the FpFcntl file locking call. It is the same as the FLock type, only contains 64-bit offsets.

## See also

FpFcntl |  | File control operations.
FLock |  | Lock description type for fpFCntl lock call.

Documentation generated on: Feb 26 2014